hpp-corbaserver: _impl_ConfigProjector Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
_impl_ConfigProjector Class Referenceabstract

`#include <hpp/core_idl/_constraints-idl.hh>`

Inheritance diagram for _impl_ConfigProjector:
[legend]
Collaboration diagram for _impl_ConfigProjector:
[legend]

## Public Member Functions
virtual | ~_impl_ConfigProjector ()
virtual void | setRightHandSideFromConfig (const ::hpp::floatSeq &config)=0
virtual void | setRightHandSideOfConstraintFromConfig (::hpp::constraints_idl::Implicit_ptr nm, const ::hpp::floatSeq &config)=0
virtual void | setRightHandSide (const ::hpp::floatSeq &param)=0
virtual void | setRightHandSideOfConstraint (::hpp::constraints_idl::Implicit_ptr nm, const ::hpp::floatSeq &rhs)=0
virtual floatSeq * | getRightHandSide ()=0
virtual void | setRightHandSideAt (::hpp::value_type s)=0
virtual ::CORBA::Boolean | isConstraintSatisfied (::hpp::constraints_idl::Implicit_ptr nm, const ::hpp::floatSeq &arg, ::hpp::floatSeq_out err, ::CORBA::Boolean &constraintFound)=0
virtual constraints_idl::Implicits * | numericalConstraints ()=0
virtual ::CORBA::Boolean | add (::hpp::constraints_idl::Implicit_ptr numconstraint, ::CORBA::ULong priority)=0
virtual void | setLastIsOptional (::CORBA::Boolean optional)=0
virtual ::CORBA::Boolean | getLastIsOptional ()=0
virtual void | setErrorThreshold (::hpp::value_type threshold)=0
virtual value_type | getErrorThreshold ()=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)
Public Member Functions inherited from _impl_Constraint
virtual | ~_impl_Constraint ()
virtual void | deleteThis ()=0
virtual ::CORBA::Boolean | deleteIfExpired ()=0
virtual void | persistantStorage (::CORBA::Boolean persistant)=0
virtual ::CORBA::Boolean | apply (::hpp::floatSeq &config)=0
virtual char * | name ()=0
virtual char * | str ()=0
virtual ::CORBA::Boolean | isSatisfied (const ::hpp::floatSeq &config)=0
virtual Constraint_ptr | copy ()=0

## Constructor & Destructor Documentation

## ◆ ~_impl_ConfigProjector()

virtual _impl_ConfigProjector::~_impl_ConfigProjector | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_ConfigProjector::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

Reimplemented from _impl_Constraint.

## ◆ add()

virtual ::CORBA::Boolean _impl_ConfigProjector::add | ( | ::hpp::constraints_idl::Implicit_ptr | numconstraint,
|  | ::CORBA::ULong | priority
| ) |  |
| pure virtual

## ◆ getErrorThreshold()

virtual value_type _impl_ConfigProjector::getErrorThreshold | ( |  | ) |
| pure virtual

## ◆ getLastIsOptional()

virtual ::CORBA::Boolean _impl_ConfigProjector::getLastIsOptional | ( |  | ) |
| pure virtual

## ◆ getRightHandSide()

virtual floatSeq * _impl_ConfigProjector::getRightHandSide | ( |  | ) |
| pure virtual

## ◆ isConstraintSatisfied()

virtual ::CORBA::Boolean _impl_ConfigProjector::isConstraintSatisfied | ( | ::hpp::constraints_idl::Implicit_ptr | nm,
|  | const ::hpp::floatSeq & | arg,
|  | ::hpp::floatSeq_out | err,
|  | ::CORBA::Boolean & | constraintFound
| ) |  |
| pure virtual

## ◆ numericalConstraints()

virtual constraints_idl::Implicits * _impl_ConfigProjector::numericalConstraints | ( |  | ) |
| pure virtual

## ◆ setErrorThreshold()

virtual void _impl_ConfigProjector::setErrorThreshold | ( | ::hpp::value_type | threshold | ) |
| pure virtual

## ◆ setLastIsOptional()

virtual void _impl_ConfigProjector::setLastIsOptional | ( | ::CORBA::Boolean | optional | ) |
| pure virtual

## ◆ setRightHandSide()

virtual void _impl_ConfigProjector::setRightHandSide | ( | const ::hpp::floatSeq & | param | ) |
| pure virtual

## ◆ setRightHandSideAt()

virtual void _impl_ConfigProjector::setRightHandSideAt | ( | ::hpp::value_type | s | ) |
| pure virtual

## ◆ setRightHandSideFromConfig()

virtual void _impl_ConfigProjector::setRightHandSideFromConfig | ( | const ::hpp::floatSeq & | config | ) |
| pure virtual

## ◆ setRightHandSideOfConstraint()

virtual void _impl_ConfigProjector::setRightHandSideOfConstraint | ( | ::hpp::constraints_idl::Implicit_ptr | nm,
|  | const ::hpp::floatSeq & | rhs
| ) |  |
| pure virtual

## ◆ setRightHandSideOfConstraintFromConfig()

virtual void _impl_ConfigProjector::setRightHandSideOfConstraintFromConfig | ( | ::hpp::constraints_idl::Implicit_ptr | nm,
|  | const ::hpp::floatSeq & | config
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/core_idl/_constraints-idl.hh